//
//  Task.h
//  ToDo-RestKit
//
//  Created by Rodger Higgins on 4/9/13.
//  Copyright (c) 2013 Rodger Higgins. All rights reserved.
//

#import <CoreData/CoreData.h>

@interface Task : NSManagedObject

@property (nonatomic, retain) NSString *title;
@property (nonatomic, retain) NSString *note;
@property (nonatomic, retain) NSString *project;
@property (nonatomic, retain) NSString *context;
@property (nonatomic, retain) NSDate *start;
@property (nonatomic, retain) NSDate *due;
@property (nonatomic, getter = isComplete) BOOL complete;
@property (nonatomic) int remoteId;


- (NSString *)formatDate:(NSDate *)date;
- (NSString *)startDateAsString;
- (NSString *)dueDateAsString;
@end
