//
//  DetailViewController.h
//  ToDo-RestKit
//
//  Created by Rodger Higgins on 4/7/13.
//  Copyright (c) 2013 Rodger Higgins. All rights reserved.
//

#import <UIKit/UIKit.h>

@class Task;

@interface TaskViewController : UIViewController <UISplitViewControllerDelegate, UITextFieldDelegate, UITextViewDelegate, UIPopoverControllerDelegate>

@property (strong, nonatomic) Task *taskItem;


@property (strong, nonatomic) IBOutlet UITextField *titleTextEdit;
@property (strong, nonatomic) IBOutlet UITextField *projectTextEdit;
@property (strong, nonatomic) IBOutlet UITextField *contextTextEdit;
@property (strong, nonatomic) IBOutlet UITextView *noteTextView;
@property (strong, nonatomic) IBOutlet UIButton *startDateButton;
@property (strong, nonatomic) IBOutlet UIButton *dueDateButton;
@property (strong, nonatomic) IBOutlet UIButton *completedButton;

- (void)textFieldDidEndEditing:(UITextField *)textField;
- (void)textViewDidEndEditing:(UITextView *)textView;
- (IBAction)completeButtonTouched:(id)sender;
- (IBAction)selectStartDate:(id)sender;
- (IBAction)selectEndDate:(id)sender;

@end
