//
//  TaskDataModel.h
//  ToDo-RestKit
//
//  Created by Rodger Higgins on 4/9/13.
//  Copyright (c) 2013 Rodger Higgins. All rights reserved.
//

#import "CoreDataModel.h"
#import "Task.h"

@interface TaskDataModel : CoreDataModel

+ (id)sharedDataModel;

- (NSString *)modelName;
- (NSString *)pathToModel;
- (NSString *)storeFilename;
- (NSString *)pathToLocalStore;
- (NSDictionary *)persistentStoreOptions;
- (NSString *)storeType;


- (id)newTask;
- (void)deleteTask:(Task *)task;
- (NSError *)saveMainContext;
@end
