//
//  NSMutableArray+QueueAdditions.m
//  ToDo-AFNetworking
//
//  Created by Rodger Higgins on 3/28/13.
//  Copyright (c) 2013 Rodger Higgins. All rights reserved.
//

#import "NSMutableArray+QueueAdditions.h"

@implementation NSMutableArray (QueueAdditions)


- (id)dequeue
{
    id headObject = [self objectAtIndex:0];
    if (headObject != nil) {
        [self removeObjectAtIndex:0];
    }
    return headObject;
}

- (void)enqueue:(id)obj
{
    [self addObject:obj];
}

- (void)enqueueAtHead:(id)obj
{
    [self insertObject:obj atIndex:0];
}
@end
